Skip to main content

Get a project

GET 

/api/projects/{id}

This endpoint handles both the Project List and the Pipeline Opportunities as a single "project" resource.

Required permissions:

  • pipeline.view: allows view resources where the user is the PM or the Account.
  • pipeline.view_other: allows view resources where the user is not the PM nor the Account.

Here the dedicated support page.

Project metadata​

Project metadata appear in the response as dynamic fields named metadata_13 where 13 is the ID of the project metadata.

Only project metadata with a value will appear in the response.

You can get all the available project metadata using the related endpoint.

Custom fields​

Custom fields of the project domain appear in the response as dynamic fields named like custom_field_55 where 55 is the ID of the custom field. For single-option fields the value is the ID of the selected option, for number fields it is the number, for date fields it is a YYYY-MM-DD date, for text fields it is the string, for long text fields it is the Markdown string; it is null when no value is set.

Request​

Responses​

Returns the requested project.